From 46da509fb753bf96f112958fefa4fc9de4904721 Mon Sep 17 00:00:00 2001
From: Greg Hogan <code@greghogan.com>
Date: Thu, 18 Mar 2021 17:28:07 +0000
Subject: [PATCH 01/10] gnu: s2n: Update to 1.0.8.

* gnu/packages/tls.scm (s2n): Update to 1.0.8.
[source, home-page]: Remove URL redirect.
[arguments]: Enable testing.
---
 gnu/packages/tls.scm | 14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

diff --git a/gnu/packages/tls.scm b/gnu/packages/tls.scm
index 174438ad87..464f1663d1 100644
--- a/gnu/packages/tls.scm
+++ b/gnu/packages/tls.scm
@@ -1046,26 +1046,24 @@ derived from Mozilla's collection.")
 (define-public s2n
   (package
     (name "s2n")
-    (version "1.0.0")
+    (version "1.0.8")
     (source (origin
               (method git-fetch)
               (uri (git-reference
-                    (url (string-append "https://github.com/awslabs/" name))
+                    (url "https://github.com/aws/s2n-tls")
                     (commit (string-append "v" version))))
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "1q6kmgwb8jxmc4ijzk9pkqzz8lsbfsv9hyzqvy944w7306zx1r5h"))))
+                "07pa4yw48ai2li3slwmb55diaqila2aiwkihilkjcgkqli0sw91i"))))
     (build-system cmake-build-system)
     (arguments
-     '(#:tests? #f                      ; tests fail to build for static library
-       #:configure-flags
-       '("-DBUILD_TESTING=OFF"
-         "-DBUILD_SHARED_LIBS=ON")))
+     '(#:configure-flags
+       '("-DBUILD_SHARED_LIBS=ON")))
     (propagated-inputs
      `(("openssl" ,openssl)
        ("openssl:static" ,openssl "static")))
     (synopsis "SSL/TLS implementation")
     (description "This library provides a C99 implementation of SSL/TLS.")
-    (home-page "https://github.com/awslabs/s2n")
+    (home-page "https://github.com/aws/s2n-tls")
     (license license:asl2.0)))
-- 
2.31.1

